Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 967466 - PRD35 - [RFE] Show live migration progress in the UI
Summary: PRD35 - [RFE] Show live migration progress in the UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On: 515278 1083049
Blocks: 1120945 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-27 08:37 UTC by Michal Skrivanek
Modified: 2019-03-22 07:05 UTC (History)
22 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Release Note
Doc Text:
In the Administration Portal, a progress bar is now available to indicate the progress of migrating a running virtual machine.
Clone Of: 653876
Environment:
Last Closed: 2015-02-11 17:53:19 UTC
oVirt Team: ---
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 15125 None None None Never
oVirt gerrit 24465 None None None Never
oVirt gerrit 26826 None None None Never
oVirt gerrit 26827 None None None Never
Red Hat Knowledge Base (Solution) 548723 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26828 None None None Never

Comment 2 Pavel Stehlik 2013-06-11 14:39:56 UTC
One possible solution could be progress bar in Status column (currently 'Migration from' text) of migrated VM.

Comment 7 Michal Skrivanek 2014-02-14 13:52:22 UTC
still needs a proper vdsm patch(posted by Francesco),then backend, REST and UI support

Comment 8 Michal Skrivanek 2014-02-25 18:33:01 UTC
Only the vdsm part merged

Comment 10 Tomas Jelinek 2014-07-10 06:47:23 UTC
Hey Jiri,

the issues mentioned in the tests are fixed in http://gerrit.ovirt.org/#/c/29763/ (bz: 1114997). 

I would maybe add one more negative case: while migrating, kill the machine on the source host. It should turn down and the progress bar should be cleared. Please note that this is also fixed in the mentioned patch.

Otherwise they are good. 
Thanx, Tomas

Comment 11 Ilanit Stein 2014-08-07 13:53:38 UTC
Tested on: 
ovirt-3.5.0_rc1 
(oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6)
vdsm-4.16.1-6.gita4a4614.el6.x86_64

A VM with OS type win7, not installed with OS, 16000 MB memory, migration took 18 sec, but progress bar didn't show ant progress, even if doing often tab refresh.

Comment 18 Ilanit Stein 2014-08-12 08:44:37 UTC
Retested it with a VM that it's migration took longer (43 sec in engine),
and for that VM progress bar did show a percentage growth.

VM mentioned in bug description & in the attached logs has a too short migration,
and thus the there is no progress seen in the progress bar.

Therefore, moving bug back to ON_QA

Verification for this bug should be by the TCMS cases attached.

Comment 19 Ilanit Stein 2014-09-08 14:24:37 UTC
Verified by running all attached tcms cases on rhevm-3.5, vt2.2

Comment 20 Yaniv Lavi 2015-01-19 15:40:20 UTC
Description of original problem:

VDSM should report migration progress to RHEVM in order to be able to control parameters such as migration time out , or to reach other logical decisions.

For example: If VM fails to migrate after 300 seconds and it succeeds to migrate 80 percent of the data , RHEVM can try again with bigger timeout.

For this kind of decisions VDSM should report migration process to RHEVM ( every x seconds or at migration process end time )

2 clones of the same BZ should be opened to VDSM and libvirt

Comment 22 errata-xmlrpc 2015-02-11 17:53:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.